Межсайтовый скриптинг в TinyWebGallery

Дата публикации:
23.11.2010
Всего просмотров:
827
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
2
CVSSv2 рейтинг:
(AV:N/AC:M/Au:N/C:N/I:P/A:N/E:U/RL:O/RC:C) = Base:4.3/Temporal:3.2
(AV:N/AC:M/Au:N/C:N/I:P/A:N/E:U/RL:O/RC:C) = Base:4.3/Temporal:3.2
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
TinyWebGallery (TWG) 1.x
Уязвимые версии: TinyWebGallery 1.8.2, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "lang", "order" и "srt" в сценарии admin/index.php, в параметре "twg_rot" и "twg_top10" в сценарии index.php, в параметре "twg_tag_dir" и "twg_tag_image" в сценарии i_frames/i_tags.php, в параметре "twg_name" в сценарии i_frames/i_kommentar.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной обработки входных данных в нескольких параметрах в сценариях index.php, i_frames/i_info.php, i_frames/i_kommentar.php, i_frames/i_login.php, i_frames/i_optionen.php, i_frames/i_privatelogin.php, i_frames/i_rate.php, i_frames/i_search.php, i_frames/i_slideshowjquery.php, i_frames/i_tags.php, i_frames/i_titel.php и i_frames/i_top_tags.php в inc/mysession.inc.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: http://www.tinywebgallery.com/en/overview.php

Решение: Установите последнюю версию 1.8.3 с сайта производителя.

Ссылки: http://www.tinywebgallery.com/blog/2010/11/twg-1-8-3-is-available/
http://holisticinfosec.org/content/view/167/45/

или введите имя

CAPTCHA